org.apache.xmlgraphics.ps.dsc.events

## Class AbstractResourceDSCComment

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.AbstractResourceDSCComment

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent
  Direct Known Subclasses:
    DSCCommentBeginResource, DSCCommentIncludeResource

      public abstract class AbstractResourceDSCComment
      extends AbstractDSCComment

  Abstract base class for resource comments.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceDSCComment()` Creates a new instance
    `AbstractResourceDSCComment(PSResource resource)` Creates a new instance for a given PSResource instance

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate(PSGenerator gen)` Writes the event to the given PSGenerator.
    `PSResource` | `getResource()` Returns the associated PSResource.
    `boolean` | `hasValues()` Indicates whether this DSC comment has values.
    `void` | `parseValue(java.lang.String value)` Parses the value of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCComment

      `getName`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### AbstractResourceDSCComment

          public AbstractResourceDSCComment()

      Creates a new instance

    - #### AbstractResourceDSCComment

          public AbstractResourceDSCComment(PSResource resource)

      Creates a new instance for a given PSResource instance
      Parameters:
        `resource` - the resource

  - ### Method Detail

    - #### getResource

          public PSResource getResource()

      Returns the associated PSResource.
      Returns:
        the resource

    - #### hasValues

          public boolean hasValues()

      Indicates whether this DSC comment has values.
      Returns:
        true if the DSC comment has values

    - #### parseValue

          public void parseValue(java.lang.String value)

      Parses the value of the DSC comment.
      Parameters:
        `value` - the value

    - #### generate

          public void generate(PSGenerator gen)
                        throws java.io.IOException

      Writes the event to the given PSGenerator.
      Parameters:
        `gen` - the PSGenerator to write to
      Throws:
        `java.io.IOException` - In case of an I/O error
      See Also:
        `DSCEvent.generate( org.apache.xmlgraphics.ps.PSGenerator)`

Copyright 1999-2024 The Apache Software Foundation. All Rights Reserved.